# ErrorCode Class Reference

List of all members.

## Public Types

enum | { GENERIC_FAILURE = 0, WRITE_FAILURE = 1, FLUSH_FAILURE = 2, CLOSE_FAILURE = 3, FILE_OPEN_FAILURE = 4, MISSING_LAYOUT = 5, ADDRESS_PARSE_FAILURE = 6 }

## Member Enumeration Documentation

anonymous enum

Enumerator:

  GENERIC_FAILURE |
  WRITE_FAILURE |
  FLUSH_FAILURE |
  CLOSE_FAILURE |
  FILE_OPEN_FAILURE |
  MISSING_LAYOUT |
  ADDRESS_PARSE_FAILURE |

The documentation for this class was generated from the following file:

- errorhandler.h